package com.qmth.jkserver.enums;

/**
 * 机考 异常处理 类型
 * @author tianjun
 *
 */
public enum ExamAbortType {

	DEVICE_ERROR("机器硬件故障、死机", 0);

    private String name;

    private int id;

    private ExamAbortType(String name, int id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public int getId() {
        return id;
    }

    public static ExamAbortType findById(int id) {
        for (ExamAbortType status : ExamAbortType.values()) {
            if (status.id == id) {
                return status;
            }
        }
        return null;
    }

}
